petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecScatterGetMerged

Returns true if the scatter is completed in the VecScatterBegin() and the VecScatterEnd() does nothing

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecScatterGetMerged(VecScatter ctx,PetscBool  *flg)

Not Collective

### Input Parameter

ctx -scatter context created with VecScatterCreate()

### Output Parameter

flg -PETSC_TRUE if the VecScatterBegin/End() are all done during the VecScatterBegin()

### See Also

VecScatterCreate(), VecScatterEnd(), VecScatterBegin()

### Level

developer

### Location

src/vec/vscat/interface/vscatfce.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages